<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DimensionRef StructType
 * @subpackage Structs
 */
abstract class DimensionRef extends AbstractStructBase
{
    /**
     * The scriptId
     * @var string
     */
    public $scriptId;
    /**
     * Constructor method for DimensionRef
     * @uses DimensionRef::setScriptId()
     * @param string $scriptId
     */
    public function __construct($scriptId = null)
    {
        $this
            ->setScriptId($scriptId);
    }
    /**
     * Get scriptId value
     * @return string|null
     */
    public function getScriptId()
    {
        return $this->scriptId;
    }
    /**
     * Set scriptId value
     * @param string $scriptId
     * @return \StructType\DimensionRef
     */
    public function setScriptId($scriptId = null)
    {
        // validation for constraint: string
        if (!is_null($scriptId) && !is_string($scriptId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($scriptId, true), gettype($scriptId)), __LINE__);
        }
        $this->scriptId = $scriptId;
        return $this;
    }
}
